Query Execution - Execute Query
Executes a query against a dataflow and returns the result.
Executes a specified query against a dataflow and streams the results in the format specified by the Accept header. The default format is Apache Arrow. Supports using custom mashup documents for advanced scenarios.
Use the Accept header to control the response format:
application/vnd.apache.arrow.stream;pq.arrow.version=1(default),application/vnd.apache.arrow.stream;pq.arrow.version=2— Apache Arrow streaming format.
This API supports long running operations (LRO).
Permissions
The caller must have execute permissions for the dataflow.
Required Delegated Scopes
Dataflow.Execute.All or Item.Execute.All.
Limitations
Queries can run for a maximum of 90 seconds.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/dataflows/{dataflowId}/executeQuery
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
dataflow
|
path | True |
string (uuid) |
The Dataflow ID. |
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Accept |
string |
The desired media type of the response. Currently supported values: |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| queryName | True |
string |
The name of the query to execute from the dataflow (or from the custom mashup document if provided). |
| customMashupDocument |
string |
Optional custom mashup document to override the dataflow's default mashup. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
file |
Query result was successfully streamed. The response format depends on the
For both Arrow versions, errors encountered during query execution or streaming will be in an additional column named 'PQ Arrow Metadata'. |
| 202 Accepted |
Request accepted, query execution in progress. Headers
|
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Definitions
| Name | Description |
|---|---|
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Execute |
Request payload for executing a query against a dataflow. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
ExecuteQueryRequest
Request payload for executing a query against a dataflow.
| Name | Type | Description |
|---|---|---|
| customMashupDocument |
string |
Optional custom mashup document to override the dataflow's default mashup. |
| queryName |
string |
The name of the query to execute from the dataflow (or from the custom mashup document if provided). |